Loading...
Searching...
No Matches
gtsam::ConjugateGradientParameters Class Reference

## Detailed Description

parameters for the conjugate gradient method

Inheritance diagram for gtsam::ConjugateGradientParameters:

## Public Member Functions

| ConjugateGradientParameters (size_t minIterations, size_t maxIterations, size_t reset, double epsilon_rel, double epsilon_abs, BLASKernel blas)
| ConjugateGradientParameters (const ConjugateGradientParameters &p)
size_t | minIterations () const
size_t | maxIterations () const
size_t | reset () const
double | epsilon () const
double | epsilon_rel () const
double | epsilon_abs () const
size_t | getMinIterations () const
size_t | getMaxIterations () const
size_t | getReset () const
double | getEpsilon () const
double | getEpsilon_rel () const
double | getEpsilon_abs () const
void | setMinIterations (size_t value)
void | setMaxIterations (size_t value)
void | setReset (size_t value)
void | setEpsilon (double value)
void | setEpsilon_rel (double value)
void | setEpsilon_abs (double value)
void | print () const
void | print (std::ostream &os) const override
Public Member Functions inherited from gtsam::IterativeOptimizationParameters
| IterativeOptimizationParameters (Verbosity v=SILENT)
Verbosity | verbosity () const
GTSAM_EXPORT std::string | getVerbosity () const
GTSAM_EXPORT void | setVerbosity (const std::string &s)
GTSAM_EXPORT void | print () const

## Static Public Member Functions

static std::string | blasTranslator (const BLASKernel k)
static BLASKernel | blasTranslator (const std::string &s)
Static Public Member Functions inherited from gtsam::IterativeOptimizationParameters
static GTSAM_EXPORT Verbosity | verbosityTranslator (const std::string &s)
static GTSAM_EXPORT std::string | verbosityTranslator (Verbosity v)

## Public Attributes

size_t | minIterations_
| minimum number of cg iterations
size_t | maxIterations_
| maximum number of cg iterations
size_t | reset_
| number of iterations before reset
double | epsilon_rel_
| threshold for relative error decrease
double | epsilon_abs_
| threshold for absolute error decrease
enum gtsam::ConjugateGradientParameters::BLASKernel | blas_kernel_
Public Attributes inherited from gtsam::IterativeOptimizationParameters
enum gtsam::IterativeOptimizationParameters::Verbosity | verbosity_

## Public Types

enum | BLASKernel { GTSAM = 0 }
typedef IterativeOptimizationParameters | Base
typedef boost::shared_ptr< ConjugateGradientParameters > | shared_ptr
Public Types inherited from gtsam::IterativeOptimizationParameters
enum | Verbosity { SILENT = 0 , COMPLEXITY , ERROR }
typedef boost::shared_ptr< IterativeOptimizationParameters > | shared_ptr

## Member Enumeration Documentation

## BLASKernel

enum gtsam::ConjugateGradientParameters::BLASKernel

Enumerator
GTSAM | Jacobian Factor Graph of GTSAM.

## Member Function Documentation

## print()

void gtsam::ConjugateGradientParameters::print | ( | std::ostream & | os | ) | const

override virtual

Reimplemented from gtsam::IterativeOptimizationParameters.

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/linear/ConjugateGradientSolver.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/linear/ConjugateGradientSolver.cpp